Loading...
Searching...
No Matches
pcl::registration Namespace Reference

## Namespaces

namespace | detail

## Classes

struct | by_score
| Sorting of candidates based on fitness score value. More...
class | ConvergenceCriteria
| ConvergenceCriteria represents an abstract base class for different convergence criteria used in registration loops. More...
class | CorrespondenceEstimation
| CorrespondenceEstimation represents a simple class for determining correspondences between target and query point sets/features, using nearest neighbor search. More...
class | CorrespondenceEstimationBackProjection
| CorrespondenceEstimationBackprojection computes correspondences as points in the target cloud which have minimum More...
class | CorrespondenceEstimationBase
| Abstract CorrespondenceEstimationBase class. More...
class | CorrespondenceEstimationNormalShooting
| CorrespondenceEstimationNormalShooting computes correspondences as points in the target cloud which have minimum distance to normals computed on the input cloud More...
class | CorrespondenceEstimationOrganizedProjection
| CorrespondenceEstimationOrganizedProjection computes correspondences by projecting the source point cloud onto the target point cloud using the camera intrinsic and extrinsic parameters. More...
class | CorrespondenceRejectionOrganizedBoundary
| The CorrespondenceRejectionOrganizedBoundary class implements a simple correspondence rejection measure. More...
class | CorrespondenceRejector
| CorrespondenceRejector represents the base class for correspondence rejection methods More...
class | CorrespondenceRejectorDistance
| CorrespondenceRejectorDistance implements a simple correspondence rejection method based on thresholding the distances between the correspondences. More...
class | CorrespondenceRejectorFeatures
| CorrespondenceRejectorFeatures implements a correspondence rejection method based on a set of feature descriptors. More...
class | CorrespondenceRejectorMedianDistance
| CorrespondenceRejectorMedianDistance implements a simple correspondence rejection method based on thresholding based on the median distance between the correspondences. More...
class | CorrespondenceRejectorOneToOne
| CorrespondenceRejectorOneToOne implements a correspondence rejection method based on eliminating duplicate match indices in the correspondences. More...
class | CorrespondenceRejectorPoly
| CorrespondenceRejectorPoly implements a correspondence rejection method that exploits low-level and pose-invariant geometric constraints between two point sets by forming virtual polygons of a user-specifiable cardinality on each model using the input correspondences. More...
class | CorrespondenceRejectorSampleConsensus
| CorrespondenceRejectorSampleConsensus implements a correspondence rejection using Random Sample Consensus to identify inliers (and reject outliers) More...
class | CorrespondenceRejectorSampleConsensus2D
| CorrespondenceRejectorSampleConsensus2D implements a pixel-based correspondence rejection using Random Sample Consensus to identify inliers (and reject outliers) More...
class | CorrespondenceRejectorSurfaceNormal
| CorrespondenceRejectorSurfaceNormal implements a simple correspondence rejection method based on the angle between the normals at correspondent points. More...
class | CorrespondenceRejectorTrimmed
| CorrespondenceRejectorTrimmed implements a correspondence rejection for ICP-like registration algorithms that uses only the best 'k' correspondences where 'k' is some estimate of the overlap between the two point clouds being registered. More...
class | CorrespondenceRejectorVarTrimmed
| CorrespondenceRejectoVarTrimmed implements a simple correspondence rejection method by considering as inliers a certain percentage of correspondences with the least distances. More...
class | DataContainer
| DataContainer is a container for the input and target point clouds and implements the interface to compute correspondence scores between correspondent points in the input and target clouds More...
class | DataContainerInterface
| DataContainerInterface provides a generic interface for computing correspondence scores between correspondent points in the input and target clouds More...
class | DefaultConvergenceCriteria
| DefaultConvergenceCriteria represents an instantiation of ConvergenceCriteria, and implements the following criteria for registration loop evaluation: More...
class | ELCH
| ELCH (Explicit Loop Closing Heuristic) class More...
class | FPCSInitialAlignment
| FPCSInitialAlignment computes corresponding four point congruent sets as described in: "4-points congruent sets for robust pairwise surface registration", Dror Aiger, Niloy Mitra, Daniel Cohen-Or. More...
class | GraphHandler
| GraphHandler class is a wrapper for a general SLAM graph The actual graph class must fulfill the following boost::graph concepts: More...
class | GraphOptimizer
| GraphOptimizer class; derive and specialize for each graph type More...
class | IncrementalRegistration
| Incremental IterativeClosestPoint class. More...
class | KFPCSInitialAlignment
| KFPCSInitialAlignment computes corresponding four point congruent sets based on keypoints as described in: "Markerless point cloud registration with keypoint-based 4-points congruent sets", Pascal Theiler, Jan Dirk Wegner, Konrad Schindler. More...
class | LUM
| Globally Consistent Scan Matching based on an algorithm by Lu and Milios. More...
struct | MatchingCandidate
| Container for matching candidate consisting of. More...
class | MetaRegistration
| Meta Registration class. More...
struct | NullEstimate
| NullEstimate struct More...
struct | NullMeasurement
| NullMeasurement struct More...
struct | PoseEstimate
| PoseEstimate struct More...
struct | PoseMeasurement
| PoseMeasurement struct More...
struct | sortCorrespondencesByDistance
| sortCorrespondencesByDistance : a functor for sorting correspondences by distance More...
struct | sortCorrespondencesByMatchIndex
| sortCorrespondencesByMatchIndex : a functor for sorting correspondences by match index More...
struct | sortCorrespondencesByMatchIndexAndDistance
| sortCorrespondencesByMatchIndexAndDistance : a functor for sorting correspondences by match index and distance More...
struct | sortCorrespondencesByQueryIndex
| sortCorrespondencesByQueryIndex : a functor for sorting correspondences by query index More...
struct | sortCorrespondencesByQueryIndexAndDistance
| sortCorrespondencesByQueryIndexAndDistance : a functor for sorting correspondences by query index and distance More...
class | TransformationEstimation
| TransformationEstimation represents the base class for methods for transformation estimation based on: More...
class | TransformationEstimation2D
| TransformationEstimation2D implements a simple 2D rigid transformation estimation (x, y, theta) for a given pair of datasets. More...
class | TransformationEstimation3Point
| TransformationEstimation3Points represents the class for transformation estimation based on: More...
class | TransformationEstimationDualQuaternion
| TransformationEstimationDualQuaternion implements dual quaternion based estimation of the transformation aligning the given correspondences. More...
class | TransformationEstimationLM
| TransformationEstimationLM implements Levenberg Marquardt-based estimation of the transformation aligning the given correspondences. More...
class | TransformationEstimationPointToPlane
| TransformationEstimationPointToPlane uses Levenberg Marquardt optimization to find the transformation that minimizes the point-to-plane distance between the given correspondences. More...
class | TransformationEstimationPointToPlaneLLS
| TransformationEstimationPointToPlaneLLS implements a Linear Least Squares (LLS) approximation for minimizing the point-to-plane distance between two clouds of corresponding points with normals. More...
class | TransformationEstimationPointToPlaneLLSWeighted
| TransformationEstimationPointToPlaneLLSWeighted implements a Linear Least Squares (LLS) approximation for minimizing the point-to-plane distance between two clouds of corresponding points with normals, with the possibility of assigning weights to the correspondences. More...
class | TransformationEstimationPointToPlaneWeighted
| TransformationEstimationPointToPlaneWeighted uses Levenberg Marquardt optimization to find the transformation that minimizes the point-to-plane distance between the given correspondences. More...
class | TransformationEstimationSVD
| TransformationEstimationSVD implements SVD-based estimation of the transformation aligning the given correspondences. More...
class | TransformationEstimationSVDScale
| TransformationEstimationSVD implements SVD-based estimation of the transformation aligning the given correspondences. More...
class | TransformationEstimationSymmetricPointToPlaneLLS
| TransformationEstimationSymmetricPointToPlaneLLS implements a Linear Least Squares (LLS) approximation for minimizing the symmetric point-to-plane distance between two clouds of corresponding points with normals. More...
class | TransformationValidation
| TransformationValidation represents the base class for methods that validate the correctness of a transformation found through TransformationEstimation. More...
class | TransformationValidationEuclidean
| TransformationValidationEuclidean computes an L2SQR norm between a source and target dataset. More...
class | WarpPointRigid
| Base warp point class. More...
class | WarpPointRigid3D
| WarpPointRigid3D enables 3D (1D rotation + 2D translation) transformations for points. More...
class | WarpPointRigid6D
| WarpPointRigid3D enables 6D (3D rotation + 3D translation) transformations for points. More...

## Typedefs

using | MatchingCandidates = std::vector< MatchingCandidate, Eigen::aligned_allocator< MatchingCandidate > >

## Functions

void | getCorDistMeanStd (const pcl::Correspondences &correspondences, double &mean, double &stddev)
| calculates the mean and standard deviation of descriptor distances from correspondences
void | getQueryIndices (const pcl::Correspondences &correspondences, pcl::Indices &indices)
| extracts the query indices
void | getMatchIndices (const pcl::Correspondences &correspondences, pcl::Indices &indices)
| extracts the match indices

## Typedef Documentation

## MatchingCandidates

using pcl::registration::MatchingCandidates = typedef std::vector<MatchingCandidate, Eigen::aligned_allocator<MatchingCandidate> >

Definition at line 81 of file matching_candidate.h.

## Function Documentation

## getCorDistMeanStd()

void pcl::registration::getCorDistMeanStd | ( | const pcl::Correspondences & | correspondences,
|  | double & | mean,
|  | double & | stddev
| ) |  |

inline

calculates the mean and standard deviation of descriptor distances from correspondences

Parameters

  [in] | correspondences | list of correspondences
  [out] | mean | the mean descriptor distance of correspondences
  [out] | stddev | the standard deviation of descriptor distances.

Note
  The sample variance is used to determine the standard deviation

Definition at line 51 of file correspondence_types.hpp.

## getMatchIndices()

void pcl::registration::getMatchIndices | ( | const pcl::Correspondences & | correspondences,
|  | pcl::Indices & | indices
| ) |  |

inline

extracts the match indices

Parameters

  [in] | correspondences | list of correspondences
  [out] | indices | array of extracted indices.

Note
  order of indices corresponds to input list of descriptor correspondences

Definition at line 79 of file correspondence_types.hpp.

## getQueryIndices()

void pcl::registration::getQueryIndices | ( | const pcl::Correspondences & | correspondences,
|  | pcl::Indices & | indices
| ) |  |

inline

extracts the query indices

Parameters

  [in] | correspondences | list of correspondences
  [out] | indices | array of extracted indices.

Note
  order of indices corresponds to input list of descriptor correspondences

Definition at line 71 of file correspondence_types.hpp.